#' Plot raster image
#'
#' Plots a raster image of an egg
#'
#' @param img an array representing the image to be plotted
#' @param axes logical, whether or not to plot axes
#'
#' @return None
#'
#' @examples
#' stop()
#'
#' @export
egg.image = function(img, axes=FALSE) {
  if(exists("rasterImage")) {
    dim = attributes(img)$dim
    plot(c(1,dim[2]), c(1,dim[1]), type="n", xlab="", ylab="", asp=1, axes=axes)
    rasterImage(img, 1, 1, dim[2], dim[1], interpolate=FALSE)
  } else {
    stop("Sorry, you cannot plot raster images.")
  }
}
