% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/egg.coords.R
\name{egg.coords}
\alias{egg.coords}
\title{Get points on the egg surface}
\usage{
egg.coords(egg, type = "points", ...)
}
\arguments{
\item{egg}{an object of class \code{egg.fit}}

\item{type}{whether to collect a series of \code{points}, the vertices of a \code{polygon} or a rectangular region \code{rect}}

\item{...}{additional parameters passed to the \code{\link[graphics]{lines}} and/or \code{\link[graphics]{points}} functions}
}
\value{
An object of class \code{egg.coords} containing the spherical coordinates of the selected points
}
\description{
Returns points on the egg's surface in speherical coordinates
}
\examples{
\dontrun{
# Determine egg shape
egg.image(egg)
fit = egg.fit()
egg.plot(fit, lwd = 3, col = "red")

# Interactively select a series of points
points = egg.coords(fit, type = "points", pch = 16, col = "red")

# Interactively select a polygon region
vertices = egg.coords(fit, type = "polygon", pch = 16, lwd = 3, col = "green")

# Interactively select a rectangular region
rect = egg.coords(fit, type = "rect", pch = 16, lwd = 1, col = "yellow")
}
}
