% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/egg.geodesic.R
\name{egg.geodesic}
\alias{egg.geodesic}
\title{Estimate the geodesic}
\usage{
egg.geodesic(egg, coords, n = 1000, plot = FALSE, return.points = FALSE,
  ...)
}
\arguments{
\item{egg}{an object of class \code{egg.fit}}

\item{coords}{the spherical coordinates of two points on the egg surface, as obtained from \code{egg.coords}}

\item{n}{the number of iterative rotations between \code{p} and \code{q}}

\item{plot}{logical, whether or not to plot the geodesic in the current plot window}

\item{return.points}{logical, should a vector of points along the geodesic be returned}

\item{...}{additional parameters passed to the \code{\link[graphics]{lines}} function}
}
\value{
The geodesic between two points
}
\description{
Estimates the geodesic between the two input points
}
\examples{
\dontrun{
# Determine egg shape and plot
egg.image(egg)
fit = egg.fit()
egg.plot(fit, lwd = 3, col = "red")

# Interactively select a series of points (at least 3)
points = egg.coords(fit, type = "points", pch = 16, col = "red")

# Determine the geodesic between points 1 and 3
egg.geodesic(fit, points[c(1,3),], n=1000, plot=TRUE, lwd=3, col="red")
}
}
