% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/egg.pixels.R
\name{egg.pixels}
\alias{egg.pixels}
\title{Extract egg pixels}
\usage{
egg.pixels(egg.image, egg, lower.theta = 0, upper.theta = pi,
  lower.phi = 0, upper.phi = pi)
}
\arguments{
\item{egg.image}{a raster image of an egg}

\item{egg}{an object of class \code{egg.fit}}

\item{lower.theta}{the lower limit from which to extract pixels around the horizontal axis}

\item{upper.theta}{the upper limit from which to extract pixels around the horizontal axis}

\item{lower.phi}{the lower limit from which to extract pixels around the vertical axis}

\item{upper.phi}{the upper limit from which to extract pixels around the vertical axis}
}
\value{
An object of class \code{egg.pixels} containing the speherical coordinates (\code{coords}) and colour (\code{col}) of each pixel
}
\description{
Extracts egg pixels from the current image
}
\examples{
\dontrun{
# Determine egg shape and plot
egg.image(egg)
fit = egg.fit()
egg.plot(fit, lwd = 3, col = "red")

# Extract the coordinates of all pixels
px = egg.pixels(egg, fit)
}
}
