% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/egg.projection.R
\name{egg.projection}
\alias{egg.projection}
\title{Plot egg projection}
\usage{
egg.projection(pixels, ...)
}
\arguments{
\item{pixels}{an object of class \code{egg.pixels} containing the spherical coordinates and colour of each image pixel}

\item{...}{further parameters to be passed to \code{\link{plot}}}
}
\value{
None
}
\description{
Plot the equirectangular projection of the egg surface
}
\examples{
\dontrun{
# Determine egg shape and plot
egg.image(egg)
fit = egg.fit()
egg.plot(fit, lwd = 3, col = "red")

# Extract the coordinates of all pixels and plot the projection
px = egg.pixels(egg, fit)
egg.projection(px, pch = ".", pty = "s")
}
}
